Package org.apache.sling.scripting.javascript

# Interface SlingWrapper

All Superinterfaces:
  `org.mozilla.javascript.Wrapper`

All Known Implementing Classes:
  `ScriptableCalendar`, `ScriptableMap`, `ScriptableNode`, `ScriptablePrintWriter`, `ScriptableProperty`, `ScriptableResource`, `ScriptableVersion`, `ScriptableVersionHistory`

public interface SlingWrapper extends org.mozilla.javascript.Wrapper
Wrapper with an additional methods to indicate the wrapped classes

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
The name of the JavaScript host object "class".
`Class<?>[]`
`getWrappedClasses()`
The list of Java classes wrapped by this wrapper.

### Methods inherited from interface org.mozilla.javascript.Wrapper

`unwrap`

## Method Details

### getClassName

String getClassName()
The name of the JavaScript host object "class".

Returns:
  the class name

### getWrappedClasses

Class<?>[] getWrappedClasses()
The list of Java classes wrapped by this wrapper.

Returns:
  the wrapped classes